EQ(3R)

NAME
eq: eqpt, eqrect - compare for equality

SYNOPSIS
#include <dmd.h>

int eqpt (p, q)
Point p, q;

int eqrect (r, s)
Rectangle r, s;

DESCRIPTION
The eqpt function compares two Points and returns a 1 if the Points are equal or a 0 if they are unequal. Two Points are equal if the corresponding coordinates x and y are equal.

The eqrect function compares two Rectangles and returns a 1 if the Rectangles are equal or a 0 if they are unequal. Two Rectangles are equal if all four corresponding coordinates are equal.

EXAMPLE
The eqmouse function determines if the current mouse coordinate equals p. The eqDrect function determines if the Rectangle passed equals Drect.

    #include <dmd.h>
    eqmouse(p)
    Point p;
    {
            return eqpt (mouse.xy, p);
    }
    eqDrect(r)
    Rectangle r;
    {
            return eqrect (Drect, r);
    }

SEE ALSO
structures(3R).